#ifndef _SLAVE_H_
#define _SLAVE_H_

#include <Arduino.h>
#include "SoftwareSerial.h"
#include "Wire.h"
#include <Adafruit_MLX90614.h>
//#define DEBUG_SERIAL Serial
#include <SPI.h>
#include "SparkFun_Ublox_Arduino_Library.h"


class slave
{
    public:
        u_char ret[17];
        String str_getWehter;

        void init(int8_t MYPORT_RX,int8_t MYPORT_TX);
        double getMLX();
        void getWehter();
        float getYuliang();
        int32_t getYuliangfuliang();
        uint8_t claeryuliang();
        bool isinit = false;
};




#endif